Subject: Re: [bitcoin-dev] [Lightning-dev] Sending OP_RETURN via Bitcoin Lightning

From: Peter Todd <[email-masked]>
Date: Thu, 9 Dec 2021 05:07:37 -0500

On Thu, Dec 09, 2021 at 09:49:11AM +0000, Christian Moss wrote:
> [email-masked], so single use seals require an onchain transaction to
> post the proof of publication to the ledger (assuming bitcoin is used as
> the ledger) when an asset is transferred, but it can scale because you can
> batch many proofs (transfer of ownerships) into a merkle tree and just add
> the merkle root into the single tx going into the ledger?

Exactly. And since the aggregation is trustless with respect to validity, users
can choose what kind of censorship risk they're willing to take (as well as
mitigate it with "multisig" schemes that use multiple aggregators in parallel).

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org